import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["title", "content"];
import * as React from 'react';
import { forwardRef } from 'react';
import CodeMirror from '@uiw/react-codemirror';
import { javascript } from '@codemirror/lang-javascript';
var ExampleComponent = function ExampleComponent(props, ref) {
  var title = props.title,
    content = props.content,
    others = _objectWithoutPropertiesLoose(props, _excluded);
  var _React$useState = React.useState("console.log('hello world!');"),
    value = _React$useState[0],
    setValue = _React$useState[1];
  var onChange = React.useCallback(function (val, viewUpdate) {
    console.log('111111:', viewUpdate);
    console.log('val1:', val);
    setValue(val);
  }, []);
  return /*#__PURE__*/React.createElement(CodeMirror, {
    value: value,
    height: "200px",
    extensions: [javascript({
      jsx: true
    })],
    onChange: onChange
  });
};
var RefExampleComponent = /*#__PURE__*/forwardRef(ExampleComponent);
RefExampleComponent.displayName = 'ExampleComponent';
export default RefExampleComponent;