"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var React = _react;
var _reactCodemirror = _interopRequireDefault(require("@uiw/react-codemirror"));
var _langJavascript = require("@codemirror/lang-javascript");
var _excluded = ["title", "content"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var ExampleComponent = function ExampleComponent(props, ref) {
  var title = props.title,
    content = props.content,
    others = (0, _objectWithoutPropertiesLoose2["default"])(props, _excluded);
  var _React$useState = React.useState("console.log('hello world!');"),
    value = _React$useState[0],
    setValue = _React$useState[1];
  var onChange = React.useCallback(function (val, viewUpdate) {
    console.log('111111:', viewUpdate);
    console.log('val1:', val);
    setValue(val);
  }, []);
  return /*#__PURE__*/React.createElement(_reactCodemirror["default"], {
    value: value,
    height: "200px",
    extensions: [(0, _langJavascript.javascript)({
      jsx: true
    })],
    onChange: onChange
  });
};
var RefExampleComponent = /*#__PURE__*/(0, _react.forwardRef)(ExampleComponent);
RefExampleComponent.displayName = 'ExampleComponent';
var _default = exports["default"] = RefExampleComponent;