import _extends from "@babel/runtime/helpers/extends";
var LcLowcodeMaterialCodemirrorMeta = {
  "componentName": "LcLowcodeMaterialCodemirror",
  "title": "LcLowcodeMaterialCodemirror",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "lc-lowcode-material-codemirror",
    "version": "0.1.0",
    "exportName": "default",
    "main": "src/index.tsx",
    "destructuring": false,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "title",
          "zh-CN": "title"
        }
      },
      "name": "title",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "content",
          "zh-CN": "content"
        }
      },
      "name": "content",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "ref",
          "zh-CN": "ref"
        }
      },
      "name": "ref",
      "setter": {
        "componentName": "MixedSetter",
        "props": {
          "setters": [{
            "componentName": "FunctionSetter"
          }, {
            "componentName": "ObjectSetter",
            "props": {
              "config": {
                "extraSetter": {
                  "componentName": "MixedSetter",
                  "isRequired": false,
                  "props": {}
                }
              }
            },
            "isRequired": false,
            "initialValue": {}
          }]
        }
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "key",
          "zh-CN": "key"
        }
      },
      "name": "key",
      "setter": {
        "componentName": "MixedSetter",
        "props": {
          "setters": [{
            "componentName": "StringSetter",
            "isRequired": false,
            "initialValue": ""
          }, {
            "componentName": "NumberSetter",
            "isRequired": false,
            "initialValue": 0
          }]
        }
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "LcLowcodeMaterialCodemirror",
  "screenshot": "",
  "schema": {
    "componentName": "LcLowcodeMaterialCodemirror",
    "props": {}
  }
}];
export default _extends({}, LcLowcodeMaterialCodemirrorMeta, {
  snippets: snippets
});